use std::path::PathBuf;


#[derive(Debug, Clone, PartialEq, serde::Serialize, serde::Deserialize)]
pub struct Project {
    path: PathBuf,
}

impl Project {
    pub fn path(&self) -> &PathBuf {
        &self.path
    }

    pub fn name(&self) -> String {
        let name = self.path.file_name().unwrap();
        name.to_string_lossy().to_string()
    }
}

impl From<PathBuf> for Project {
    fn from(path: PathBuf) -> Self {
        Self { path }
    }
}
